package me.km.commands;

import com.mojang.authlib.GameProfile;
import me.km.KajetansMod;
import me.km.api.GlobalText;
import me.km.api.Module;
import me.km.api.ModuleCommand;
import me.km.permissions.Permissions;
import net.minecraft.command.ICommandSender;
import net.minecraft.util.text.TextComponentString;

public class CommandUser extends ModuleCommand
{
    public CommandUser(Module m) 
    {
        super("user", m);
        super.setDescription("Gibt Informationen über einen Spieler");
        super.setUsage("/user <name>");
        super.setPermission(Permissions.USER);
    }

    @Override
    public boolean execute(ICommandSender cs, String[] arg) 
    {
        if(arg.length < 1)
        {
            return false;
        }
        
        Module m = this.getModule();
        GameProfile op = KajetansMod.playerbank.getDataBank().getOfflinePlayer(arg[0]);
        if(op == null)
        {
            m.send(cs, GlobalText.cantFindPlayer(arg[0]));
            return true;
        }
        
        cs.sendMessage(new TextComponentString(GlobalText.Spacer()));
        m.send(cs, op.getName());
        m.sendHelpListElement(cs, "UUID", op.getId().toString());
        // TODO
        /*m.sendHelpListElement(cs, "Gebannt", String.valueOf(op.));
        m.sendHelpListElement(cs, "Whitelisted", String.valueOf(op.isWhitelisted()));
        if(op.isOnline())
        {
            Player p = op.getPlayer();
            m.sendHelpListElement(cs, "IP", p.getAddress().getAddress().toString().substring(1));
        }*/
        return true;
    }
}
