package me.km.entities;

import me.km.KajetansMod;
import net.minecraft.client.renderer.entity.Render;
import net.minecraft.entity.Entity;
import net.minecraft.util.ResourceLocation;
import net.minecraftforge.fml.common.registry.EntityRegistry;

public class ModEntities 
{
    public static void init() 
    {
        register(1, EntityBrownBear.class, "BrownBear", "bear/brownbear", new RenderBrownBear());
        register(2, EntityBlackBear.class, "BlackBear", "bear/blackbear", new RenderBlackBear());
    }

    private static void register(int id, Class<? extends Entity> c, String name, String path, Render<? extends Entity> r) 
    {
        EntityRegistry.registerModEntity(new ResourceLocation(KajetansMod.MODID + ":" + path), c, name, id, KajetansMod.instance, 144, 2, true);
        KajetansMod.proxy.registerEntityRenderer(c, r);
    }
}
