package me.km.chatmanager;

import me.kt.KajetansTools;
import me.kt.api.Module;
import me.kt.api.ModuleListener;
import org.bukkit.ChatColor;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.player.AsyncPlayerChatEvent;

public class ChatListener extends ModuleListener
{
    public ChatListener(Module m) 
    {
        super(m);
    }
    
    @EventHandler(priority = EventPriority.LOW)
    public void onChatEvent(AsyncPlayerChatEvent e)
    {
        Player p = e.getPlayer();
        e.setMessage(ChatColor.RESET + ChatManager.colorMessage(e.getMessage(), p));
        e.setFormat(KajetansTools.chatManager.getFullName(p) + ChatColor.DARK_BLUE + " | " + "%2$s");    
    }
}
