package me.km.commands;

import me.km.api.GlobalText;
import me.km.api.Module;
import me.km.api.ModuleCommand;
import me.km.permissions.Permissions;
import net.minecraft.command.ICommandSender;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.init.Items;
import net.minecraft.item.ItemStack;

public class CommandBook extends ModuleCommand
{
    public CommandBook(Module m) 
    {
        super("book", m);
        super.setDescription("Diverse Befehle für Bücher");
        super.setUsage("/book für die Hilfe");
        super.setPermission(Permissions.BOOK);
    }

    @Override
    public boolean execute(ICommandSender cs, String[] arg) 
    {
        if(!(cs instanceof EntityPlayer))
        {
            this.getModule().send(cs, GlobalText.onlyPlayer());
            return true;
        }
        Module m = this.getModule();
        EntityPlayer p = (EntityPlayer) cs;
        
        if(arg.length >= 1)
        {
            ItemStack stack = p.getHeldItemMainhand();
            if(stack.getItem() != Items.WRITTEN_BOOK)
            {
                m.send(cs, "Du hast kein signiertes Buch in der Hand.");
                return true;
            }
            // TODO
            /*BookMeta bmeta = (BookMeta) stack.getItemMeta();
            
            switch(arg[0])
            {
                case "open":
                {
                    ItemStack newItem = new ItemStack(Material.BOOK_AND_QUILL, stack.getAmount());
                    newItem.setItemMeta(bmeta);
                    p.getInventory().setItemInMainHand(newItem);
                    return true;
                }
                case "author":
                {       
                    bmeta.setAuthor(ChatManager.colorMessage(Utils.connectSpaces(arg, 1), p));
                    p.getInventory().getItemInMainHand().setItemMeta(bmeta);
                    p.updateInventory();
                    return true;
                }
                case "title":
                {       
                    bmeta.setTitle(ChatManager.colorMessage(Utils.connectSpaces(arg, 1), p));
                    p.getInventory().getItemInMainHand().setItemMeta(bmeta);
                    p.updateInventory();
                    return true;
                }
            }*/
        }
        
        m.send(cs, "/book ...");
        m.sendHelpListElement(cs, "open", "Öffnet dein Buch erneut");
        m.sendHelpListElement(cs, "author <name>", "Setzt den Autor des Buches");    
        m.sendHelpListElement(cs, "title <name>", "Setzt den Titel des Buches");    
        return true;
    }
}
